// $Id: yystype.h,v 1.2 2007-04-14 07:10:41 babic Exp $

// Copyright (C) 2007, Domagoj Babic, see the LICENSE.

#ifndef YYSTYPE_H
#define YYSTYPE_H

#include "AST.h"
#include <stdint.h>
#include <vector>

typedef union {
    uint64_t ival;
    spear_tools::AstNode *node;
    spear_tools::AstVec *list;
    char *str;
} YYSTYPE;

#define YYSTYPE_IS_DECLARED 1
#define YYSTYPE_IS_TRIVIAL 1

#endif
